Organizations
All operations require authentication.
List organizationsProduction
Returns the organizations of the platform with their current state. Filter them by organizationName.
Path parameters
Platform ID
Query parameters
Filter by organization name
Headers
Pagination cursor
Pagination size
Response
Checksum hash in MD5 representation
Object representing organization
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing organization
Example uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ organization \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "accountsStatistics": [ { "availableAccountsCount": 0, "configuredAccountsCount": 0, "offer": "PRO" } ], "createdAt": "2024-01-01T12:00:00Z", "description": "string", "label": "string", "name": "string", "storageConsumed": 0, "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "label": "string", "name": "string" } }]
Get an organizationProduction
Returns the name, label and description of the organization, its storage consumed and its account statistics per offer.
Path parameters
Organization ID
Platform ID
Response
Checksum hash in MD5 representation
Object representing organization
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing organization
Example uses organizationId = 00000000-0000-0000-0000-000000000000, platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ organization/ {organizationId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "accountsStatistics": [ { "availableAccountsCount": 0, "configuredAccountsCount": 0, "offer": "PRO" } ], "createdAt": "2024-01-01T12:00:00Z", "description": "string", "label": "string", "name": "string", "storageConsumed": 0, "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "label": "string", "name": "string" }}
Create an organizationProduction
Creates an organization from its name, its label and an optional description. The label is a short name that must be unique on the platform. Creation is asynchronous: follow resourceStatus and currentTasks.
Path parameters
Platform ID
Request body (required)
Target organization specification
Response
Checksum hash in MD5 representation
Object representing organization
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing organization
Example uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ organization \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "accountsStatistics": [ { "availableAccountsCount": 0, "configuredAccountsCount": 0, "offer": "PRO" } ], "createdAt": "2024-01-01T12:00:00Z", "description": "string", "label": "string", "name": "string", "storageConsumed": 0, "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "label": "string", "name": "string" }}
Delete an organizationProduction
Deletes the organization. An organization still linked to domains cannot be deleted.
Path parameters
Organization ID
Platform ID
Response
Example uses organizationId = 00000000-0000-0000-0000-000000000000, platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ organization/ {organizationId} \
-H "authorization: Bearer $OVH_TOKEN"Update an organizationProduction
Updates the name, label or description of the organization. When set, checksum must match the current checksum of the organization, otherwise the update is rejected.
Path parameters
Organization ID
Platform ID
Request body (required)
Known checksum of the resource, allowing to prevent unwanted side effects
Target organization specification
Response
Checksum hash in MD5 representation
Object representing organization
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing organization
Example uses organizationId = 00000000-0000-0000-0000-000000000000, platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ organization/ {organizationId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "accountsStatistics": [ { "availableAccountsCount": 0, "configuredAccountsCount": 0, "offer": "PRO" } ], "createdAt": "2024-01-01T12:00:00Z", "description": "string", "label": "string", "name": "string", "storageConsumed": 0, "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "label": "string", "name": "string" }}